
import React from 'react';
import Icon from 'react-icon-base';

const SlPencil = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M964.256 910.336c-34.8643 33.4082 -73.3232 50.3359 -114.379 50.3359c-64.1924 0 -111.024 -41.4717 -123.841 -54.1758c-18.0322 -17.8564 -633.152 -633.2 -633.152 -633.2c-4.01562 -4.03223 -6.94336 -9.07227 -8.44727 -14.5918 c-13.8721 -51.2637 -83.3604 -278.72 -84.0488 -281.008c-3.56836 -11.6484 -0.384766 -24.3369 8.20703 -32.9287c6.17578 -6.14355 14.3994 -9.43945 22.8311 -9.43945c3.31152 0 6.65527 0.496094 9.91895 1.56836c2.35156 0.767578 237.136 76.6553 275.775 88.1914 c5.08789 1.53613 9.74414 4.28809 13.5361 8.03223c24.416 24.1279 598.128 591.456 636.208 630.784c39.3916 40.5918 58.96 82.8643 58.208 125.616c-0.78418 42.208 -21.248 82.8477 -60.8161 120.816zM715.845 804.16 c16.3037 -3.95215 54.7529 -16.8623 94.0166 -56.4785c39.6797 -40.0322 50.416 -85.792 52.416 -96.208c-125.824 -125.168 -415.456 -411.728 -529.632 -524.672c-10.5439 24.5596 -27.584 54.1436 -54.9922 81.7598c-33.4717 33.7275 -67.5361 52.7832 -93.8086 63.5029 c112.992 113.008 408.08 408.224 532 532.096zM140.39 218.05c17.584 -4.67188 54.1113 -18.2236 91.3438 -55.7598c28.6719 -28.9121 42.208 -60.7998 48.2881 -80.2402c-44.4805 -14.3037 -141.872 -47.9199 -203.76 -67.8721 c18.3359 60.3359 49.3115 154.304 64.1279 203.872zM920.421 709.634c-1.31152 -1.34375 -3.47363 -3.53516 -6.06543 -6.15918c-10.1123 26.0479 -27.8564 59.5195 -58.5762 90.4951c-31.3916 31.6484 -63.2314 50.3203 -88.751 61.3604 c2.17578 2.16016 3.85547 3.85645 4.51172 4.49609c3.66406 3.61621 36.8965 35.376 78.3203 35.376c23.8398 0 47.248 -10.8799 69.6162 -32.3203c26.5117 -25.4238 40.1758 -50.5117 40.624 -74.5918c0.431641 -24.5762 -12.9121 -51.04 -39.6796 -78.6563z"/></g>
    </Icon>
);

export default SlPencil;
